[Pkg-jed-commit] r581 - jed/trunk/debian

Rafael Laboissiere rafael at alioth.debian.org
Mon Feb 26 12:24:25 CET 2007


Author: rafael
Date: 2007-02-26 12:24:24 +0100 (Mon, 26 Feb 2007)
New Revision: 581

Modified:
   jed/trunk/debian/changelog
   jed/trunk/debian/jed-common.prerm
   jed/trunk/debian/rules
Log:
* rules: Create <jed-common>/usr/share/info with mkdir instead of
  using dh_installinfo
* jed-common.prerm: Comply with the Debian standards
* changelog: Added entry for last changes

[The current state has release quality.  If nobody objects, I will
release 0.99.18.dfsg.1-2 soon.]


Modified: jed/trunk/debian/changelog
===================================================================
--- jed/trunk/debian/changelog	2007-02-25 22:41:07 UTC (rev 580)
+++ jed/trunk/debian/changelog	2007-02-26 11:24:24 UTC (rev 581)
@@ -2,9 +2,11 @@
 
   NOT YET RELEASED!
 
-  * Synched with version 0.99.18-8.etch.2, which will be in testing
-  * debian/po/es.po: Added file
+  * Synched with version 0.99.18-8.etch.2, which will be in testing [RL]
+  * debian/po/es.po: Added file [RL]
 
+  * Produce info files from doc/manual/jed.tex using hevea [JS]
+
  --
 
 jed (0.99.18.dfsg.1-1) experimental; urgency=low

Modified: jed/trunk/debian/jed-common.prerm
===================================================================
--- jed/trunk/debian/jed-common.prerm	2007-02-25 22:41:07 UTC (rev 580)
+++ jed/trunk/debian/jed-common.prerm	2007-02-26 11:24:24 UTC (rev 581)
@@ -1,18 +1,36 @@
-#!/bin/sh -e
+#!/bin/sh
 
-# jeds info file is broken. debhelper cannot handle it
-# (this used to be the case, I haven't check with woody dh yet)
-install-info --quiet --remove /usr/share/info/jed.info.gz
+set -e
 
-TEMP=$(tempfile)
-printf "Running /usr/share/jed/compile/jed-common..."
-RET=0
-/usr/share/jed/compile/jed-common remove >$TEMP 2>&1 || RET=$?
-if test "$RET" -ne 0 ; then
-	echo "failed (see $TEMP)"
-	exit $RET
-fi
-echo "done"
-rm -f $TEMP
+case "$1" in
+    remove|upgrade|deconfigure)
 
+        # jeds info file is broken. debhelper cannot handle it
+        # (this used to be the case, I haven't check with woody dh yet)
+        install-info --quiet --remove /usr/share/info/jed.info.gz
+
+        TEMP=$(tempfile)
+        printf "Running /usr/share/jed/compile/jed-common..."
+        RET=0
+        /usr/share/jed/compile/jed-common remove >$TEMP 2>&1 || RET=$?
+        if test "$RET" -ne 0 ; then
+            echo "failed (see $TEMP)"
+            exit $RET
+        fi
+        echo "done"
+        rm -f $TEMP
+
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
 #DEBHELPER#
+
+exit 0

Modified: jed/trunk/debian/rules
===================================================================
--- jed/trunk/debian/rules	2007-02-25 22:41:07 UTC (rev 580)
+++ jed/trunk/debian/rules	2007-02-26 11:24:24 UTC (rev 581)
@@ -84,7 +84,7 @@
 
 	# generate info files from jed.tex
 	rmdir $(jed-common)/usr/share/jed/info
-	dh_installinfo -pjed-common     # create the directory /u/s/info
+	mkdir -p $(jed-common)/usr/share/info
 	cd $(jed-common)/usr/share/info/; hevea -fix -info -o jed.info \
 	    $(jed-common)/usr/share/doc/jed-common/manual/jed.tex
 




More information about the Pkg-jed-commit mailing list